# Class ConcatenatorManyToOne
A sequence class that virtually concatenates all sequences in a StringSet.

Defined in | <seqan/sequence.h>
Signature | `template <typename TStringSet> class ConcatenatorManyToOne;`

## Template Parameters

`TStringSet` | The StringSet type.

## Member Function Overview

- `ConcatenatorManyToOne::ConcatenatorManyToOne(stringSet);`
  Constructor

## Detailed Description

This container can be iterated like the concatenation string of all sequences in a StringSet.

This container only is a lightweight hull around a StringSet. The iteration is handled by ConcatVirtualIterator.

Note that accessing an element by index through `operator[]` conducts a binary search and should be avoided. Use the ConcatDirectStringSet specialization of StringSet for random access or only use sequential access through iterators.

## Member Functions Detail

### `ConcatenatorManyToOne::ConcatenatorManyToOne(stringSet);`

Constructor

#### Parameters

`stringSet` | The StringSet object to be concatenated.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class ConcatenatorManyToOne
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief A sequence class that virtually concatenates all sequences in a @link
     *        StringSet @endlink.
     *
     * @signature template <typename TStringSet> class ConcatenatorManyToOne;
     *
     * @tparam TStringSet The @link StringSet @endlink type.
     *
     * This container can be iterated like the concatenation string of all sequences
     * in a @link StringSet @endlink.
     *
     * This container only is a lightweight hull around a @link StringSet @endlink.
     * The iteration is handled by @link ConcatVirtualIterator @endlink.
     *
     * Note that accessing an element by index through <tt>operator[]</tt> conducts
     * a binary search and should be avoided. Use the @link ConcatDirectStringSet
     * @endlink specialization of @link StringSet @endlink for random access or only
     * use sequential access through iterators.
     *
     * @fn ConcatenatorManyToOne::ConcatenatorManyToOne
     *
     * @brief Constructor
     *
     * @signature ConcatenatorManyToOne::ConcatenatorManyToOne(stringSet);
     *
     * @param[in] stringSet The @link StringSet @endlink object to be concatenated.
     */